Virtual Worlds 5.7.9 Update

Version 5.7.9 of Virtual Worlds is now available to access on the user centre. This new version is recommended for users with Windows Vista or Windows 7, as it ensures compatibility between Virtual Worlds and Internet Explorer 9.

Please Note: Users with Windows XP and Virtual Worlds version 5.7.8 DO NOT need this upgrade!

If you require any assistance with the above, please contact the Virtual Worlds Support Team on: 01908 448 899

  • +44 (0)1908 663848
  • sales@virtualworlds.co.uk
  • 1 Portland Drive, Willen, Milton Keynes MK15 9JW